TI_W11(1)

NAME
ti_w11 - Quick starter for ti_rri with w11 CPU designs

SYNOPSIS
ti_w11 [OPTION]... [ti_rri option]... [ti_rri command]...

DESCRIPTION
Generates the ti_rri(1) commands for starting the rri backend in standard configurations with w11 CPU designs. Connections to FPGA boards as well as to ghdl based simulations are supported. Since ti_w11 is only a quick starter for ti_rri(1) this man page will only describe briefly the ti_w11 specific options, for any further detail consult the ti_rri(1) man page. ti_w11 will print the generated ti_rri(1) command to stdout before executing it.

OPTIONS

  setup options for FPGA connects

-u  use --cuff connect (USB via Cypress FX2)

-tDN[,opts]
    use --term connect. D specifies device name. N specifies the device number, or in case of the character 'D' the auto-detection of a Digilent board with a FT2232C based interface. opts specified the addtional options a --term can hold (e.g. break or xon). D is mapped as
    s   use /dev/ttyS* (* is device number N)
    u   use /dev/ttyUSB* (* is device number N or 'D')

  setup options for ghdl simulation runs
-c7 start tb_w11a_c7 simulation (Cmod A7, default -fx)
-b3 start tb_w11a_b3 simulation (Basys3, default -fx)
-n4 start tb_w11a_n4 simulation (Nexys4)
-bn4
    start tb_w11a_br_n4 simulation (Nexys4, BRAM only)
-bn4d
    start tb_w11a_br_n4d simulation (Nexys4 DDR, BRAM only)
-bar
    start tb_w11a_br_arty simulation (Arty, BRAM only, default -fx)
-n3 start tb_w11a_n3 simulation (Nexys3, default -fc)
-n2 start tb_w11a_n2 simulation (Nexys2, default -fc)
-s3 start tb_w11a_s3 simulation (S3board, default -f2)

-fm select communication mode for simulation. The -fm can be used after the -b3,...,-s3 options to overwrite the default. Valid values for mode m are
    c   use Cypress FX2 data path (cuff, only for -n2 and -n3)
    x   use 1st serport with hardwired xon (for -b3,-bar,-c7)
    1   use 1st serport
    1x  use 1st serport with switched xon
    2   use 2nd serport (fusp, only for -s3,-n2,-n3)
    2x  use 2nd serport with switched xon

-tmu
    activate trace and monitoring unit

-ghw
    activate ghdl wave dump, will write a dump file with the name <tb>.ghw where <tb> is the filename of the test bench

  common options

-lln
    set rlink logging level to n (will issue a --logl=n).

-dln
    set rlink dump level to n (will issue a --dmpl=n).

-tln
    set rlink I/O trace level to n (will issue a --tiol=n).

-b  batch mode

-e file
    load and execute file. If the file type is '.mac' the file will be on the fly compiled with asm-11(1), for all other file types it is assumed that they are in lda(5) format.

-dry
    dry run, prints the commands but doesn't execute

EXAMPLES

ti_w11 -u @211bsd_rk_boot.tcl
    Assumes a FPGA board with a w11 CPU design already configured. Connected via USB, communication via Cypress FX2. ti_rri(1) will be started and the given boot script executed. Typical way to start Nexys2 and Nexys3 boards.

ti_w11 -tu2,12M,break,cts @211bsd_rl_boot.tcl
    Assumes a FPGA board with a w11 CPU design already configured. Connected via USB, communication via an USB UART. In this case the device /dev/ttyUSB2 will be used, with 12 MBaud, break to trigger auto-bauding, and cts to use hardware handshake. ti_rri(1) will be started and the given boot script executed.

ti_w11 -tuD,12M,break,cts @211bsd_rl_boot.tcl
    Like above, but now the USB device will be autodetected. Typical way to start a Nexys4 board.

ti_w11 -n3 -e $RETROBASE/tools/asm-11/w11/sys/dl11/simple_out.mac
    Will start the tb_w11a_n3 test bench in ghdl(1), on the fly compile the simple_out.mac test program with asm-11(1), load and execute it. This little test code just produces
           Hello world!
           Hello world!
    forever, just abort with ^C if you have seen enough.

SEE ALSO
ti_rri(1), asm-11(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>